%global upstreamname ROCdbgapi

%global rocm_release 5.7
%global rocm_patch 1
%global rocm_version %{rocm_release}.%{rocm_patch}


Name:     rocdbgapi
Version:  %{rocm_version}
Release:  %autorelease
Summary:  AMD GPU Debugger API
License:  MIT
URL:           https://github.com/ROCm-Developer-Tools/%{upstreamname}
Source:        https://github.com/RadeonOpenCompute/%{upstreamname}/archive/refs/tags/rocm-%{version}.tar.gz#/%{upstreamname}-rocm-%{version}.tar.gz

# upstream only supports x86_64
ExclusiveArch: x86_64

BuildRequires: cmake
BuildRequires: rocm-cmake
BuildRequires: rocm-comgr-devel
BuildRequires: rocm-runtime-devel
BuildRequires: gcc
BuildRequires: gcc-c++
BuildRequires: pkgconfig(libpci)
BuildRequires: doxygen
BuildRequires: texlive
BuildRequires: texlive-xtab
BuildRequires: texlive-multirow
BuildRequires: texlive-sectsty
BuildRequires: texlive-tocloft
BuildRequires: texlive-tabu
BuildRequires: texlive-adjustbox
BuildRequires: texlive-hanging
BuildRequires: texlive-stackengine
BuildRequires: texlive-ulem
BuildRequires: texlive-wasysym
BuildRequires: texlive-newunicodechar
BuildRequires: texlive-wasy

%description
The AMD Debugger API is a library that provides all the support necessary for a
debugger and other tools to perform low level control of the execution and
inspection of execution state of AMD's commercially available GPU architectures

%package devel
Summary: AMD Debugger API Devel Package
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
Devel files for the AMD Debugger API

%package doc
Summary: AMD Debugger API Docs
Requires: %{name}%{?_isa} = %{version}-%{release}

%description doc
Documentation for the AMD Debugger API pacakge

%prep
%autosetup -n %{upstreamname}-rocm-%{version}

%build
%cmake \
    -DCMAKE_BUILD_TYPE=Release

%cmake_build

make -C %__cmake_builddir/ doc

%install
%cmake_install

# install LICENSE.md with license macro
rm %{buildroot}%{_docdir}/amd-dbgapi/LICENSE.txt
rm -rf %{buildroot}%{_docdir}/amd-dbgapi-asan

%files
%license LICENSE.txt
%doc README.md
%{_libdir}/librocm-dbgapi.so.0*

%files devel
%{_libdir}/librocm-dbgapi.so
%{_libdir}/cmake/amd-dbgapi
%{_datadir}/pkgconfig/amd-dbgapi.pc
%{_includedir}/amd-dbgapi

%files doc
%{_docdir}/amd-dbgapi
%{_datadir}/html/amd-dbgapi

%changelog
%autochangelog
